Bug 113455 - Impossible to clear "Width/Height in pages" after converting "Page style" sheet to Widget UI
Summary: Impossible to clear "Width/Height in pages" after converting "Page style" she...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4 target:6.1.0
Keywords: bibisected, bisected, regression, topicUI
Depends on:
Blocks: Page-Dialog
  Show dependency treegraph
 
Reported: 2017-10-26 07:42 UTC by Mike Kaganski
Modified: 2017-11-28 09:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-10-26 07:42:51 UTC
https://help.libreoffice.org/index.php?title=Calc/Sheet_3&Language=en-US:

> Scaling factor
> Fit print range(s) to width/height
> Specifies the maximum number of pages horizontally (width) and vertically
> (height) on which every sheet with the current Page Style is to be printed.
> 
> * The print ranges are always scaled proportionally, so the resulting number
> of pages may be less than specified.
> * You may clear one of the boxes, then the unspecified dimension will use as
> many pages as necessary.
> * If you clear both boxes, this will result in a scaling factor of 100%.

As mentioned, the boxes in the "Fit print range(s) to width/height" mode are supposed to be clearable, with special meaning assigned to cleared state.

But since 4.1, clearing them is rejected and previous value gets restored upon exiting the cleared box. So, it's impossible to conveniently utilize the documented functionality (one workaround is to use a huge value for a box that needs to be clear, so that scaling would be determined by value in the other box).

~/bibisect-41max$ git bisect log
# bad: [e8a1c54dfe8a4bc03d2ce9cb9906bf06d9affa7d] source-hash-863d38fbfa4fb4861e476828c46410602100919e
# good: [8cb222c656c0444f66cfa5a35ed204169bb91e09] source-hash-efca6f15609322f62a35619619a6d5fe5c9bd5a4
git bisect start 'latest' 'oldest'
# good: [789cb134f3000918fe031ffce19c57e505cab328] source-hash-8669ad398a2971706ce22b6e5fe316991977452a
git bisect good 789cb134f3000918fe031ffce19c57e505cab328
# skip: [0699ea5ef4cb907f6f387cdf2aac183bd8fc5643] source-hash-ba6989df7dffb4fd2c62dbb9f5b1c9b000b4abdd
git bisect skip 0699ea5ef4cb907f6f387cdf2aac183bd8fc5643
# bad: [3032632d514891fc82a76f3526f4a61cb064d8ca] source-hash-2f205ee79ea929c6fce5686512bd468ab78a877a
git bisect bad 3032632d514891fc82a76f3526f4a61cb064d8ca
# good: [62e04a3511acab40dccdf02fde6b1fcef0cb2b39] source-hash-e518ef52bbda3449130f51dbbf6f0a60bb76298f
git bisect good 62e04a3511acab40dccdf02fde6b1fcef0cb2b39
# bad: [75d4c7173c002cc7f23880f57d72a0dd5b436d2a] source-hash-4811c2dc9f94929b60e7e2e0077871aad14fdc3a
git bisect bad 75d4c7173c002cc7f23880f57d72a0dd5b436d2a
# skip: [630eada66c3398f7e05bbe5477e32790928e3f7c] source-hash-c998ef820b993985e8b3d5d6e70c646037c570ac
git bisect skip 630eada66c3398f7e05bbe5477e32790928e3f7c
# bad: [75c075ab4352a17a8f495ea636018487acb0844d] source-hash-e70d6fbf4610563b7ff31d0e6393b70b4b0e6510
git bisect bad 75c075ab4352a17a8f495ea636018487acb0844d
# bad: [c5637730d9d281c6b08b4caffdf558a439e0a930] source-hash-85c8252e13e9234253494f96ffd70df35be056dc
git bisect bad c5637730d9d281c6b08b4caffdf558a439e0a930
# bad: [4a0a43691b5fc8d318915ff145aac594a1231ac1] source-hash-e60eca1cfcf4763571f7e87a88740e4517a7dabd
git bisect bad 4a0a43691b5fc8d318915ff145aac594a1231ac1
# skip: [b64ba7c2ce093aaf01b406cd9bb9e841e3c569ad] source-hash-78bec2b6f40144277464a64a9851d1dc940ed336
git bisect skip b64ba7c2ce093aaf01b406cd9bb9e841e3c569ad
# skip: [82afc8516744638bd58cb23729d6a70399ced133] source-hash-f574e1defdb537bdd741edd2523563aa0b03be5a
git bisect skip 82afc8516744638bd58cb23729d6a70399ced133
# good: [16e9c3edd35b559ac089ce300e7b9cb1e2319f14] source-hash-be21cd2bd2f0eeed4ab0fb600dd75f10a0593c23
git bisect good 16e9c3edd35b559ac089ce300e7b9cb1e2319f14
# good: [a0cea154f5e55e4a888e0683808fbe240f2d9d3d] source-hash-5fccea4add2eb5b838733becdb4dc3120151a82f
git bisect good a0cea154f5e55e4a888e0683808fbe240f2d9d3d
# good: [247dfa2bf899dd34270f4903ba8038b2693b38b1] source-hash-f935aa9d9cb6dde3dfd1b018c4b8938ff6c16183
git bisect good 247dfa2bf899dd34270f4903ba8038b2693b38b1
# bad: [1e7744dc41b0128e79f2b31cca4347e7ba12314d] source-hash-68c314fc80b5dd5be26a7207b3459a2be9625240
git bisect bad 1e7744dc41b0128e79f2b31cca4347e7ba12314d
# good: [5714e678a42641296744b4d90369d86838c23ef4] source-hash-8c4f20938bc5d4013126a00a02e8eca80b250284
git bisect good 5714e678a42641296744b4d90369d86838c23ef4
# bad: [7128f52ef3a690932321980f4cf4d47a0623d4eb] source-hash-cb3bf6a1300b15eb800435175036a6d3448b5e9a
git bisect bad 7128f52ef3a690932321980f4cf4d47a0623d4eb
# good: [5b6935d5b8a162585dbe1e4155a036760743af99] source-hash-5a5777f0a75e512af35250e90bc2670492ba5c9b
git bisect good 5b6935d5b8a162585dbe1e4155a036760743af99
# bad: [a9d5a2aa3ef6182a60a636b3782dcb898c4da8f4] source-hash-cb553bdba77c80f323dbed1874874cf2465abd83
git bisect bad a9d5a2aa3ef6182a60a636b3782dcb898c4da8f4
# first bad commit: [a9d5a2aa3ef6182a60a636b3782dcb898c4da8f4] source-hash-cb553bdba77c80f323dbed1874874cf2465abd83

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cb553bdba77c80f323dbed1874874cf2465abd83

author	Olivier Hallot <olivier.hallot@alta.org.br>	2013-03-31 17:52:34 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2013-04-04 10:08:33 (GMT)
commit	cb553bdba77c80f323dbed1874874cf2465abd83
tree	c14f47f19eda302f39a056c5db436f83b552e318
parent	5a5777f0a75e512af35250e90bc2670492ba5c9b
Convert Calc sheet page style to Widget UI
Comment 1 Caolán McNamara 2017-10-26 12:07:44 UTC
relied upon a sort of magic clear numeric field value hack, lets get this working again with a specific checkbox for the unset/default setting
Comment 2 Commit Notification 2017-10-27 07:58:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdd7c74a499ea550a10e47d159c2d2d80c940fc0

Resolves: tdf#113455 Impossible to clear width/height in pages

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-10-27 08:03:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=4df523054a84cbade8cf2aff4f72400baca9ca55

Related: tdf#113455 update help to 'disable' the spinbuttons for special case
Comment 4 Caolán McNamara 2017-10-27 08:04:29 UTC
added a pair of disabling checkboxes for this special empty state, and updated help to refer to 'disable', 5-4 backpoint in gerrit that doesn't need updated translations by using slightly less optimal "clear" stock text for the new check buttons
Comment 5 Commit Notification 2017-11-01 14:41:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19ec0aac77913ede79fc107c341c89e945309a9b&h=libreoffice-5-4

Resolves: tdf#113455 Impossible to clear width/height in pages

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-11-27 21:12:00 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d74305ab4c6b755232afcdc41ecd9fde431152d

tdf#113455 follow-up: use spin button labels as checkboxes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-11-28 09:00:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22e747284c92b69175d3add4d1033a0e7aaacc5e

tdf#113455 follow-up: clear spin buttons when disabled in Reset

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.